/*
 * JBoss, Home of Professional Open Source
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.cache.pojo.test;

import java.io.Serializable;

/**
 * Test class for PojoCache. Note that this pojo is both Replicable and Serializable. So
 * user can choose whether to treat this as a Pojo or just a serializable object.
 *
 * @version $Revision: 6554 $
 */
@org.jboss.cache.pojo.annotation.Replicable
public class SpecialAddress implements Serializable
{
   private static final long serialVersionUID = 1L;
   String addr = null;

   public String getAddr()
   {
      return addr;
   }

   public void setAddr(String address)
   {
      this.addr = address;
   }

   public String toString()
   {
      return "address=" + getAddr();
   }

//    public Object writeReplace() {
//	return this;
//    }
}
